# Rocket 2nd v0.5 Release Candidate

<p class="metadata"><strong>
  Posted by <a href="https://sergio.bz">Sergio Benitez</a> on May 09, 2022
</strong></p>

Rocket `0.5.0-rc.2`, a release candidate for Rocket v0.5, is now available.

This release builds on the previous release candidate and brings further
features, improvements, and fixes to Rocket. As before, this is an opportunity
to discover issues with Rocket v0.5 and its documentation before its general
release. We encourage all users to migrate their applications to the second
release candidate and report any issues to the [GitHub issue tracker]. Please
see the new [migration guide] for complete details on how to upgrade from Rocket
v0.4. For changes since Rocket v0.5.0-rc.1, please see the [CHANGELOG].

Barring any major issues, of which none are expected, the general release of
Rocket v0.5 is planned for late May 2022, when we'll post a full news article
covering the biggest features and changes in Rocket v0.5. Until then, the
[CHANGELOG] contains every feature addition, change, and improvement since
v0.5.0-rc.1 and v0.4. All documentation, including the [guide] and [API docs],
has been updated in full for the second release candidate.

We're excited for your feedback, and we look forward to seeing you again soon
for the general release!

[GitHub issue tracker]: https://github.com/SergioBenitez/Rocket/issues
[GitHub discussions]: https://github.com/SergioBenitez/Rocket/discussions
[migration guide]: ../../guide/upgrading-from-0.4
[CHANGELOG]: https://github.com/SergioBenitez/Rocket/blob/v0.5-rc/CHANGELOG.md#version-050-rc2-may-9-2022
[API docs]: @api
[guide]: ../../guide

## About Rocket

Rocket is a web framework for Rust with a focus on usability, security,
extensibility, and speed. Rocket makes it simple to write fast, secure web
applications without sacrificing usability.

Not already using Rocket? Join the tens of thousands of users and hundreds of
companies happily using Rocket today! Rocket's extensive documentation makes it
easy: get started by [reading through the guide](../../guide) or learning more
from [the overview](../../overview).
